GET api/Pilots

Request Information

URI Parameters

None.

Body Parameters

None.

Response Information

Resource Description

Collection of Pilot
NameDescriptionTypeAdditional information
pilotId

globally unique identifier

None.

name

string

None.

pilotTypeId

globally unique identifier

None.

phone

string

None.

isLicenseGimel

boolean

None.

isLicenseRT

boolean

None.

createdDate

date

None.

PilotType

PilotType

None.

Response Formats

application/json, text/json

Sample:
[
  {
    "pilotId": "0188307d-99a3-4a4a-b70f-827b940f341e",
    "name": "sample string 2",
    "pilotTypeId": "08317549-5b91-4da7-85b6-7b61fb163281",
    "phone": "sample string 4",
    "isLicenseGimel": true,
    "isLicenseRT": true,
    "createdDate": "2026-03-20T18:40:44.5771034+00:00",
    "PilotType": {
      "pilotTypeId": "6e8ba3b3-2217-4539-98e6-3d9731aba4d7",
      "name": "sample string 2"
    }
  },
  {
    "pilotId": "0188307d-99a3-4a4a-b70f-827b940f341e",
    "name": "sample string 2",
    "pilotTypeId": "08317549-5b91-4da7-85b6-7b61fb163281",
    "phone": "sample string 4",
    "isLicenseGimel": true,
    "isLicenseRT": true,
    "createdDate": "2026-03-20T18:40:44.5771034+00:00",
    "PilotType": {
      "pilotTypeId": "6e8ba3b3-2217-4539-98e6-3d9731aba4d7",
      "name": "sample string 2"
    }
  }
]

text/html

Sample:
[{"pilotId":"0188307d-99a3-4a4a-b70f-827b940f341e","name":"sample string 2","pilotTypeId":"08317549-5b91-4da7-85b6-7b61fb163281","phone":"sample string 4","isLicenseGimel":true,"isLicenseRT":true,"createdDate":"2026-03-20T18:40:44.5771034+00:00","PilotType":{"pilotTypeId":"6e8ba3b3-2217-4539-98e6-3d9731aba4d7","name":"sample string 2"}},{"pilotId":"0188307d-99a3-4a4a-b70f-827b940f341e","name":"sample string 2","pilotTypeId":"08317549-5b91-4da7-85b6-7b61fb163281","phone":"sample string 4","isLicenseGimel":true,"isLicenseRT":true,"createdDate":"2026-03-20T18:40:44.5771034+00:00","PilotType":{"pilotTypeId":"6e8ba3b3-2217-4539-98e6-3d9731aba4d7","name":"sample string 2"}}]